#eureka client配置
server.port: 8080
eureka:
  client.serviceUrl.defaultZone: http://admin:prolog00212@eureka.bocai-cloud.com:88/eureka/
  instance:
    instanceId: ${spring.application.name}:${server.port}

spring:
  application:
    name: upcloud-base-wh-operate
  #redis配置

  redis:
    host: 192.168.0.168
    port: 6379
    password: prolog0212
    database: 0
  #链路跟踪
  zipkin:
    sender.type: rabbit
    rabbitmq.queue: trace
  sleuth:
    enable: false
    sampler:
      probability: 1.0
  rabbitmq:
    host: 192.168.0.168
    port: 5672
    username: root
    password: prolog0212
    virtual-host: /upcloud
    connection-timeout: 90s
    template:
      mandatory: true
#    支持发布确认
    publisher-confirms: true
#    支持发布返回
#    publisher-returns: true
    listener:
      simple:
        acknowledge-mode: manual
        auto-startup: true
        default-requeue-rejected: false
        concurrency: 3
        max-concurrency: 10
        retry:
          enabled: true
        prefetch: 100
  datasource:
    driverClassName: oracle.jdbc.OracleDriver
    url: jdbc:oracle:thin:@192.168.1.12:1521:orcl
    username: upcloud_biz_wh_operate
    password: upcloud_biz_wh_operate
    initialSize: 0
    minIdle: 5
    maxActive: 10
    maxWait: 60000
    minEvictableIdleTimeMillis: 25200000
prolog:
  dao:
    dialect: oracle
  security:
    accessTokenValiditySeconds: 3600
    refreshTokenValiditySeconds: 30000
  rabbitmqManage:
    username: root
    password: prolog0212
    host: 192.168.0.168
  service:
    item: upcloud-base-item
    inventory: upcloud-base-inventory
    warehouse: upcloud-base-wh
    platform-power: service-platform-power-base
    strategy: upcloud-base-strategy
    common: upcloud-base-common
    chain: upcloud-base-chain
    control: upcloud-base-wh-control
    outbound: upcloud-base-wh-outbound
    gsp: upcloud-base-gsp
    inbound: upcloud-base-wh-inbound
    integration : service-integration
  tx:
    url: "http://192.168.1.21:7000/tx/manager/"
management:
  endpoints:
    web:
      exposure:
        include: '*'
        exclude: shutdown
  endpoint:
    logfile.external-file: /usr/local/logs/upcloud-base-wh-inbound/192.168.40.136.9818/info.log
    health.show-details: always
logging:
  config: classpath:log4j2-test.xml
  level.root: info
